Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(105)

Issue 1303153005: Introduce WebTaskRunner Patch 3/5 (Closed)

Created:
4 years ago by alex clarke (OOO till 29th)
Modified:
4 years ago
CC:
blink-reviews, vivekg_samsung, dshwang, eae+blinkwatch, vivekg, kinuko+worker_chromium.org, kinuko+watch, rwlbuis, pdr+graphicswatchlist_chromium.org, drott+blinkwatch_chromium.org, blink-reviews-html_chromium.org, Justin Novosad, danakj, blink-reviews-dom_chromium.org, dglazkov+blink, Rik, blink-reviews-bindings_chromium.org, gavinp+loader_chromium.org, blink-worker-reviews_chromium.org, Mads Ager (chromium), sof, jbroman, Raymond Toy, krit, Nate Chapin, tyoshino+watch_chromium.org, kouhei+heap_chromium.org, falken, f(malita), oilpan-reviews, horo+watch_chromium.org, Stephen Chennney, scheduler-bugs_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Introduce WebTaskRunner Patch 3/5 Switch blink over to using the new WebTaskRunner. This is a pure refactor and no business logic has changed. Patch 1: https://codereview.chromium.org/1325073002 Patch 2: https://codereview.chromium.org/1308183005 Patch 4: https://codereview.chromium.org/1309423004 Patch 5: https://codereview.chromium.org/1310253009 BUG=510398, 497761 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=201731

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rename defaultTaskRunner to taskRunner #

Patch Set 3 : Remove an obsolete FIXME #

Patch Set 4 : Rebased #

Patch Set 5 : Fix mac build #

Patch Set 6 : HTML viewer still needs postTask & postDelayedTask #

Patch Set 7 : Add missing #include #

Unified diffs Side-by-side diffs Delta from patch set Stats (+292 lines, -249 lines) Patch
M Source/bindings/core/v8/ScriptStreamer.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/bindings/core/v8/ScriptStreamerThread.h View 2 chunks +2 lines, -1 line 0 comments Download
M Source/bindings/core/v8/ScriptStreamerThread.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/dom/CompositorProxy.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/dom/Document.cpp View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M Source/core/dom/MainThreadTaskRunner.cpp View 1 2 chunks +3 lines, -3 lines 0 comments Download
M Source/core/dom/Microtask.h View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/dom/Microtask.cpp View 2 chunks +3 lines, -3 lines 0 comments Download
M Source/core/dom/ScriptRunner.cpp View 1 2 1 chunk +1 line, -2 lines 0 comments Download
M Source/core/dom/ScriptRunnerTest.cpp View 1 4 chunks +40 lines, -8 lines 0 comments Download
M Source/core/dom/ScriptedIdleTaskController.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/fetch/MemoryCacheTest.cpp View 1 2 3 3 chunks +4 lines, -4 lines 0 comments Download
M Source/core/html/HTMLCanvasElement.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/parser/BackgroundHTMLParser.cpp View 2 chunks +3 lines, -3 lines 0 comments Download
M Source/core/html/parser/HTMLParserScheduler.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/parser/HTMLParserScheduler.cpp View 3 chunks +3 lines, -4 lines 0 comments Download
M Source/core/html/parser/HTMLParserThread.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/loader/DocumentThreadableLoader.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/core/loader/ImageLoader.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/workers/WorkerInspectorProxy.h View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/workers/WorkerInspectorProxy.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/workers/WorkerThread.h View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/core/workers/WorkerThread.cpp View 3 chunks +4 lines, -4 lines 0 comments Download
M Source/core/workers/WorkerThreadTest.cpp View 6 chunks +9 lines, -10 lines 0 comments Download
M Source/modules/compositorworker/CompositorWorkerManager.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/compositorworker/CompositorWorkerManagerTest.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/modules/fetch/CompositeDataConsumerHandle.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/fetch/DataConsumerHandleTestUtil.cpp View 1 3 chunks +3 lines, -3 lines 0 comments Download
M Source/modules/fetch/DataConsumerHandleUtil.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/fetch/DataConsumerTee.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/modules/webaudio/AbstractAudioContext.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/webaudio/AsyncAudioDecoder.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/modules/webaudio/DeferredTaskHandler.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/webaudio/OfflineAudioDestinationNode.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/Task.h View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/platform/Timer.h View 2 chunks +2 lines, -1 line 0 comments Download
M Source/platform/Timer.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/TimerTest.cpp View 1 7 chunks +35 lines, -19 lines 0 comments Download
M Source/platform/WebScheduler.cpp View 1 chunk +0 lines, -10 lines 0 comments Download
M Source/platform/WebTaskRunner.cpp View 1 2 3 1 chunk +14 lines, -1 line 0 comments Download
M Source/platform/WebThread.cpp View 2 chunks +0 lines, -13 lines 0 comments Download
M Source/platform/WebThreadSupportingGC.h View 1 2 chunks +5 lines, -4 lines 0 comments Download
M Source/platform/WebThreadSupportingGC.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/audio/HRTFDatabaseLoader.cpp View 1 2 chunks +4 lines, -2 lines 0 comments Download
M Source/platform/audio/ReverbConvolver.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/blob/BlobRegistry.cpp View 1 8 chunks +8 lines, -7 lines 0 comments Download
M Source/platform/fonts/mac/FontCacheMac.mm View 1 2 3 4 5 6 2 chunks +2 lines, -1 line 0 comments Download
M Source/platform/graphics/DeferredImageDecoderTest.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/graphics/ImageFrameGeneratorTest.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/graphics/RecordingImageBufferSurfaceTest.cpp View 1 7 chunks +30 lines, -15 lines 0 comments Download
M Source/platform/heap/HeapTest.cpp View 1 7 chunks +7 lines, -7 lines 0 comments Download
M Source/platform/heap/glue/MessageLoopInterruptor.h View 2 chunks +5 lines, -5 lines 0 comments Download
M Source/platform/scheduler/CancellableTaskFactory.h View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/platform/scheduler/CancellableTaskFactory.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/platform/scheduler/CancellableTaskFactoryTest.cpp View 10 chunks +13 lines, -13 lines 0 comments Download
M Source/platform/scroll/ScrollableAreaTest.cpp View 1 1 chunk +2 lines, -6 lines 0 comments Download
M Source/platform/testing/UnitTestHelpers.cpp View 1 3 chunks +3 lines, -2 lines 0 comments Download
M Source/web/WebKit.cpp View 1 3 chunks +3 lines, -3 lines 0 comments Download
M Source/web/WebSharedWorkerImpl.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M Source/web/tests/FrameTestHelpers.cpp View 1 7 chunks +12 lines, -12 lines 0 comments Download
M Source/web/tests/SpinLockTest.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/web/tests/WebFrameTest.cpp View 1 4 chunks +4 lines, -4 lines 0 comments Download
M Source/web/tests/WebViewTest.cpp View 1 2 chunks +2 lines, -2 lines 0 comments Download
M public/platform/WebScheduler.h View 2 chunks +4 lines, -19 lines 0 comments Download
M public/platform/WebTaskRunner.h View 2 chunks +13 lines, -1 line 0 comments Download
M public/platform/WebThread.h View 1 2 3 4 5 4 chunks +3 lines, -12 lines 0 comments Download

Messages

Total messages: 36 (18 generated)
alex clarke (OOO till 29th)
4 years ago (2015-09-02 12:16:39 UTC) #2
Sami
It's a little more verbose but brings us in line with base::Thread/SingleThreadTaskRunner. Non-owner lgtm % ...
4 years ago (2015-09-02 12:47:40 UTC) #3
kouhei (in TOK)
core OWNER lgtm % test pass
4 years ago (2015-09-02 12:56:14 UTC) #5
alex clarke (OOO till 29th)
Done and thanks. https://codereview.chromium.org/1303153005/diff/1/Source/platform/graphics/RecordingImageBufferSurfaceTest.cpp File Source/platform/graphics/RecordingImageBufferSurfaceTest.cpp (right): https://codereview.chromium.org/1303153005/diff/1/Source/platform/graphics/RecordingImageBufferSurfaceTest.cpp#newcode280 Source/platform/graphics/RecordingImageBufferSurfaceTest.cpp:280: EXPECT_EQ((WebTaskRunner::Task*)0, m_taskRunner.m_task); On 2015/09/02 12:47:40, Sami ...
4 years ago (2015-09-02 13:32:25 UTC) #6
alex clarke (OOO till 29th)
mkwst@chromium.org: Can I please have an OWNERS review?
4 years ago (2015-09-02 13:35:50 UTC) #8
Mike West
On 2015/09/02 at 13:35:50, alexclarke wrote: > mkwst@chromium.org: Can I please have an OWNERS review? ...
4 years ago (2015-09-03 08:21:24 UTC) #9
haraken
bindings/ LGTM
4 years ago (2015-09-03 08:23:18 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1303153005/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1303153005/40001
4 years ago (2015-09-03 11:19:34 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_32_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_compile_dbg_32_ng/builds/93343) ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, ...
4 years ago (2015-09-03 11:21:34 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1303153005/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1303153005/60001
4 years ago (2015-09-03 11:33:01 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/108534)
4 years ago (2015-09-03 11:49:14 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1303153005/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1303153005/80001
4 years ago (2015-09-03 12:23:00 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_gn_rel on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_gn_rel/builds/130186)
4 years ago (2015-09-03 12:39:40 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1303153005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1303153005/100001
4 years ago (2015-09-03 13:01:33 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1303153005/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1303153005/120001
4 years ago (2015-09-03 13:15:44 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_android_rel_ng/builds/64614)
4 years ago (2015-09-03 15:54:37 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1303153005/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1303153005/120001
4 years ago (2015-09-03 15:58:05 UTC) #35
commit-bot: I haz the power
4 years ago (2015-09-03 18:36:13 UTC) #36
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=201731

Powered by Google App Engine
This is Rietveld 408576698